Bug 183374 - Review Request: perl-Crypt-Random
Review Request: perl-Crypt-Random
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On: 175198
Blocks: FE-ACCEPT 183889
  Show dependency treegraph
Reported: 2006-02-28 13:09 EST by Paul Howarth
Modified: 2008-06-24 20:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-19 02:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-02-28 13:09:56 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-Random/perl-Crypt-Random.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-Random/perl-Crypt-Random-1.25-1.src.rpm

Crypt::Random is an interface module to the /dev/random device found on most
modern unix systems. It also interfaces with egd, a user space entropy
gathering daemon, available for systems where /dev/random (or similar) devices
are not available. When Math::Pari is installed, Crypt::Random can generate
random integers of arbitrary size of a given bitsize or in a specified
Comment 1 Jason Tibbitts 2006-04-07 23:07:31 EDT
perl-Math-Pari is stalled in review, but it doesn't look like there are any
issues (such as license) that would prevent the package from eventually being
accepted so I'll go ahead and review this.

A mock build is clean if the current perl-Math-Pari submission (2.010704-1) is
built and added to the repository.  rpmlint is silent.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   5730c9d5acdd698790216d354ffb0513  Crypt-Random-1.25.tar.gz
   5730c9d5acdd698790216d354ffb0513  Crypt-Random-1.25.tar.gz-srpm
* package builds in mock (with dependencies added)
* BuildRequires are proper.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates, except for %{_bindir} which is mandated by FHS.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* The package owns %{perl_vendorlib}/Crypt, which will probably also be owned by
any module under the Crypt:: namespace.  However, none of the dependencies
create this directory so there is no alternative but for this package to own it.

APPROVED, subject of course to the approval of perl-Math-Pari.
Comment 2 Paul Howarth 2006-04-19 02:58:38 EDT
Thanks for the review.

 7836 (perl-Crypt-Random): Build on target fedora-development-extras succeeded.
     Build logs may be found at

Branch requests for FC-4 and FC-5 made.
Comment 3 Paul Howarth 2008-06-23 16:11:07 EDT
Package Change Request
Package Name: perl-Crypt-Random
New Branches: EL-4 EL-5
Comment 4 Kevin Fenzi 2008-06-24 20:08:44 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.